Endpoint Groups

Column and Row Policies

Column and Row Policies operations within the Governance API group.

Delete column maskDELETE

/column-masks/{columnMaskId}

Operation IDdeleteColumnMask

Path Parameters

Name Type Required Description
columnMaskId string true -

Responses

Code Description
204 There is no content to send for this request, but the headers may be useful.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

List column mask bindingsGET

/column-masks/{columnMaskId}/bindings

Operation IDlistColumnMaskBindings

Path Parameters

Name Type Required Description
columnMaskId string true -

Query Parameters

Name Type Required Description
max_results integer false -
page_token string false -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error

Bind column maskPOST

/column-masks/{columnMaskId}/bindings

Operation IDbindColumnMask

Path Parameters

Name Type Required Description
columnMaskId string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
201 The request has succeeded and a new resource has been created as a result.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Unbind column maskDELETE

/column-masks/{columnMaskId}/bindings/{principalType}/{principalId}

Operation IDunbindColumnMask

Path Parameters

Name Type Required Description
columnMaskId string true -
principalId string true -
principalType PrincipalType true -

Responses

Code Description
204 There is no content to send for this request, but the headers may be useful.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Delete row filterDELETE

/row-filters/{rowFilterId}

Operation IDdeleteRowFilter

Path Parameters

Name Type Required Description
rowFilterId string true -

Responses

Code Description
204 There is no content to send for this request, but the headers may be useful.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

List row filter bindingsGET

/row-filters/{rowFilterId}/bindings

Operation IDlistRowFilterBindings

Path Parameters

Name Type Required Description
rowFilterId string true -

Query Parameters

Name Type Required Description
max_results integer false -
page_token string false -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error

Bind row filterPOST

/row-filters/{rowFilterId}/bindings

Operation IDbindRowFilter

Path Parameters

Name Type Required Description
rowFilterId string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
201 The request has succeeded and a new resource has been created as a result.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Unbind row filterDELETE

/row-filters/{rowFilterId}/bindings/{principalType}/{principalId}

Operation IDunbindRowFilter

Path Parameters

Name Type Required Description
principalId string true -
principalType PrincipalType true -
rowFilterId string true -

Responses

Code Description
204 There is no content to send for this request, but the headers may be useful.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

List column masksGET

/tables/{tableId}/column-masks

Operation IDlistColumnMasks

Path Parameters

Name Type Required Description
tableId string true -

Query Parameters

Name Type Required Description
max_results integer false -
page_token string false -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error

Create column maskPOST

/tables/{tableId}/column-masks

Operation IDcreateColumnMask

Path Parameters

Name Type Required Description
tableId string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
201 The request has succeeded and a new resource has been created as a result.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

List row filtersGET

/tables/{tableId}/row-filters

Operation IDlistRowFilters

Path Parameters

Name Type Required Description
tableId string true -

Query Parameters

Name Type Required Description
max_results integer false -
page_token string false -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error

Create row filterPOST

/tables/{tableId}/row-filters

Operation IDcreateRowFilter

Path Parameters

Name Type Required Description
tableId string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
201 The request has succeeded and a new resource has been created as a result.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error